include: 'https://gitlab.com/uprev/public/templates/ci-templates/-/raw/main/docker.gitlab-ci.yml'


stages:
  - build
  - downstream

variables:
  IMAGE_NAME: "uprev/base"  #building uprev/image
  BASE_IMAGE: "ubuntu"      #default base image is ubuntu

docker-build:
  #use a parallel matrix to build multiple tags 
  parallel:
    matrix:
      - BASE_TAG: "18.04"
        IMAGE_TAG: "ubuntu-18.04"
      - BASE_TAG: "20.04"
        IMAGE_TAG: "ubuntu-20.04"
      - BASE_TAG: "22.04"
        IMAGE_TAG: "ubuntu-22.04"

#once uprev/base is built, rebuild the images that are based on uprev/base
trigger:
  stage: downstream
  trigger:
    project: "uprev-public/devcontainers/${child}"
  parallel:
    matrix:
      - child: "stm32"  #Some images arent based on uprev/base, but this is often run to get updated from mrtutils which should be updated in all
      - child: "nrf5"
      - child: "esp32"
      - child: "sphinx"
      - child: "msp430"
      - child: "icestorm"
      - child: "mrt"
    
  